srecord: srecord::quit_prefix Class Reference

srecord 1.65.0

Loading...
Searching...
No Matches
srecord::quit_prefix Class Reference

The quit_prefix class is used to filter the messages issued to include a line prefix. More...

`#include <prefix.h>`

Inheritance diagram for srecord::quit_prefix:
[legend]
Collaboration diagram for srecord::quit_prefix:
[legend]

## Public Member Functions
virtual | ~quit_prefix ()
| The destructor.
| quit_prefix (quit &deeper, const char *prefix)
| A constructor.
| quit_prefix (quit &deeper, const std::string &prefix)
| A constructor.
virtual void | exit (int)
| The exit method is used to terminate execution.
virtual void | message_v (const char *, va_list)
| The message_v method is used to send an error message to a suitable destination.
Public Member Functions inherited from srecord::quit
virtual | ~quit ()
| The destructor.
| quit ()
| The default constructor.
| quit (const quit &)
| The copy constructor.
quit & | operator= (const quit &)
| The assignment operator.
virtual void | fatal_error (const char *fmt,...) FORMAT_PRINTF(2
| The fatal_error method is used to report fatal errors.
virtual void virtual void | fatal_error_v (const char *, va_list)
| The fatal_error_v method is used to report fatal errors.
virtual void | fatal_error_errno (const char *fmt,...) FORMAT_PRINTF(2
| The fatal_error_errno method is used to report fatal errors, and append the string equivalent of errno.
virtual void virtual void | fatal_error_errno_v (const char *, va_list)
| The fatal_error_errno_v method is used to report fatal errors.
virtual void | warning (const char *fmt,...) FORMAT_PRINTF(2
| The warning method is used to likely but non-fatal errors.
virtual void virtual void | warning_v (const char *, va_list)
| The warning_v method is used to report likely but non-fatal errors.
virtual void | message (const char *fmt,...) FORMAT_PRINTF(2
| The message method is used to send an error message to a suitable destination.

## Detailed Description

The quit_prefix class is used to filter the messages issued to include a line prefix.

The message is then passed ot a deeper quit handler.

Definition at line 32 of file prefix.h.

## Constructor & Destructor Documentation

## ◆ ~quit_prefix()

virtual srecord::quit_prefix::~quit_prefix | ( |  | ) |
| virtual

The destructor.

## ◆ quit_prefix() [1/2]

srecord::quit_prefix::quit_prefix | ( | quit & | deeper,
|  | const char * | prefix )

A constructor.

The given handler is used to process the messages, once prefixed. The given string is used as the line prefix.

References srecord::quit::quit().

Referenced by message_v().

## ◆ quit_prefix() [2/2]

srecord::quit_prefix::quit_prefix | ( | quit & | deeper,
|  | const std::string & | prefix )

A constructor.

The given handler is used to process the messages, once prefixed. The given string is used as the line prefix.

References srecord::quit::quit().

## Member Function Documentation

## ◆ exit()

virtual void srecord::quit_prefix::exit | ( | int |  | ) |
| virtual

The exit method is used to terminate execution.

It could call the global exit function, or it could throw an exception, or some other action, but it shall NOT return. Derived classes are required to supply this method.

Implements srecord::quit.

## ◆ message_v()

virtual void srecord::quit_prefix::message_v | ( | const char * | ,
|  | va_list | )
| virtual

The message_v method is used to send an error message to a suitable destination.

The ‘fmt’ string is in the same style a standard C vprintf function. Derived classes are required to supply this method.

Implements srecord::quit.

References srecord::quit::quit(), and quit_prefix().

The documentation for this class was generated from the following file:

- quit/prefix.h